NOTE - EXAMPLE dBASE CHECK BALANCER COMMAND FILE PROGRAM
*   
*   
*  - turn off display of commands to screen
SET TALK OFF
*  - enter user database file name
ACCEPT "Enter check database name" to DBF
*  - access database file
USE &DBF
*  - specify disk containing command files
ACCEPT "Enter disk drive containing command files as 'A:' or 'B:'" to DISK
SET DEFAULT TO &DISK
*  - this is text that is displayed on the screen
DO WHILE T
* DO WHILE T  means DO WHILE TRUE  I.E. DO FOREVER
*   The DO WHILE will be terminated by a CANCEL command internally
  ? 
  ? 
  ? 
  ? '     CHECK BOOK BALANCER MENU'
  ? 
  ? '        0 - EXIT'
  ? '        1 - ENTER NEW CHECKS'
  ? '        2 - ENTER DEPOSIT'
  ? '        3 - ENTER CANCELLED CHECKS'
  ? '        4 - ENTER CANCELLED DEPOSITS'
  ? '        5 - BALANCE'
  ? 
  ? ' ENTER DESIRED ACTION'
 *  - reading user response
 WAIT TO ACTION
 DO CASE

  *  - testing to exit
    CASE ACTION='0'
       SET TALK ON
       *  - return to dBASE system
       CANCEL

  *  - test for new checks
    CASE ACTION='1'
       *  - enter new check data
       DO XNEWENTR

  *  - test for new deposits
    CASE ACTION='2'
       *  - enter new deposit data
       DO XDEPOSIT

  *  - test for cancelled checks
    CASE ACTION='3'
       *  - enter cancelled check data
       DO XCANCEL

  *  - test for cancelled deposits
    CASE ACTION='4'
       *  - enter cancelled deposit data
       DO XDEPCANC

  *  - test for balancing check book
    CASE ACTION='5'
       *  - compute ending balance
       DO XBALANCE

  * - non-valid entry to the menu
    OTHERWISE
       ? 'Invalid entry, re-enter'

  ENDCASE

ENDDO
RETURN
